Subject: Re: Anonymous commit (empty Author and Committer)

From: André Z. D. A. <[email-masked]>
Date: Sat, 31 Oct 2015 10:12:10 -0200

> 30.10.2015 23:59, Lennart Sorensen пишет:
> 
>> On Fri, Oct 30, 2015 at 09:19:19PM +0100, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>
>>> On 30.10.2015 21:09, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>>
>>>> On 30.10.2015 21:06, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>>>
>>>>> On 30.10.2015 15:26, Andrei Borzenkov wrote:
>>>>>
>>>>>> See
>>>>>> http://git.savannah.gnu.org/cgit/grub.git/commit/?id=206676601eb853fc319df14cd3398fbdfde665ac
>>>>>>
>>>>>> I was not even aware that this is possible. Is there anything on server
>>>>>> side that can prevent it?
>>>>>>
>>>>>> Would be good if commit were amended and force pushed to fix it.
>>>>>
>>>>> It is a bug in SGit. I'll investigate how it happened
>>>
>>> I don't have non-fast-forward rights. Does someone from savannah-users
>>> have them? Could he just delete this commit?
>>
>> If you do that, then anyone that already did a pull after it went in
>> will have a broken tree. Rather annoying.
> 
> If we decide to fix this commit it is better done now, while it is the
> last one. It is annoying but do you have suggestion how it can be done
> differently?

+1 to undo it now

Indeed. The faster it is fixed smaller the number of potential unintentional repeats for it, if any.